CAMLLIBR(1)

NAME
camllibr - Create libraries of Caml Light modules

SYNOPSIS
camllibr [ -I lib-dir ] [ -o library-file ] file1.zo file2.zo

DESCRIPTION
camllibr packs in one single file a set of bytecode object files (.zo files). The resulting file is also a bytecode object file, and also has the .zo extension. It can be passed to the link phase of the camlc(1) compiler in replacement of the original set of bytecode object files. The order in which .zo arguments are presented on the command line is relevant: global identifiers are initialized in that order at run-time, and it is a link-time error to use a global identifier before having initialized it.

OPTIONS

-I lib-dir
    Adds lib-dir to the path of directories searched for compiled object files .zo. The default is to search in the current directory first, then in the Caml Light library (usually /usr/local/lib/caml-light). A directory added by -I is searched after the current directory, but before the library.

-o exec-file
    Specifies the name of the output file containing the library. The default is library.zo.

SEE ALSO
camlc (1).
The Caml Light user's manual,

chapter "The librarian".